import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.StringTokenizer;

public class figure_sm {

	void solve() {
		int n = nextInt();
		assert 0 <= n && n <= 99;
		int m = nextInt();
		assert 0 <= m && m <= 99;
		int x = nextInt();
		assert 0 <= x && x <= 99;
		int y = nextInt();
		assert 0 <= y && y <= 99;
		int[] a = new int[n];
		int[] b = new int[n];
		for (int i = 0; i < a.length; i++) {
			b[i] = nextInt();
			a[i] = nextInt();
			assert 0 <= b[i] && b[i] <= 99;
			assert 0 <= a[i] && a[i] <= 99;
		}
		int[][] d = new int[n + 1][m + 1];
		for (int i = 0; i < d.length; i++) {
			Arrays.fill(d[i], Integer.MAX_VALUE / 10);
		}
		d[0][0] = 0;
		for (int i = 0; i <= m; i++) {
			for (int j = 1; j <= n; j++) {
				if (b[j - 1] == 0) {
					d[j][i] = d[j - 1][i];
				}
				for (int cur = b[j - 1]; cur <= Math.min(a[j - 1], i); cur++) {
					d[j][i] = Math.min(d[j][i], d[j - 1][i - cur]
							+ (cur < 10 ? x : y));
				}
			}

		}
		if (d[n][m] >= Integer.MAX_VALUE / 10) {
			d[n][m] = -1;
		}
		// System.out.println(Arrays.deepToString(d));
		System.out.println(d[n][m]);
		out.println(d[n][m]);
	}

	BufferedReader br;
	PrintWriter out;
	StringTokenizer st;

	void run() {
		try {
			br = new BufferedReader(new FileReader("figure.in"));
			out = new PrintWriter(new FileWriter("figure.out"));
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	String nextToken() {
		try {
			while (st == null || !st.hasMoreTokens()) {
				st = new StringTokenizer(br.readLine());
			}
			return st.nextToken();
		} catch (Exception e) {
			return "0";
		}
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	public static void main(String[] args) {
		new figure_sm().run();
	}
}
